﻿@model StavkaNabave

@{ 
    ViewBag.Title = "Stvaranje nove stavke nabave";
}

<h1>Stvaranje nove stavke nabave</h1>
<p>
    <small>
        Stranica za dodavanje nove stavke nabave. Sva polja su obavezna, nakon dodavanja korisnik se vraća na stranicu svih stavki, te mu se ispisuje poruka o uspjehu ili neuspjehu dodavanja stavke. Validacija Procjenjene vrijednosti -> mora biti pozitivan broj.
    </small>
</p>

<form asp-action="Create" method="post">
    <div asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="EvidencijskiBroj"></label>
        <div><span asp-validation-for="EvidencijskiBroj" class="text-danger"></span></div>
        <input asp-for="EvidencijskiBroj" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="PredmetNabave"></label>
        <div><span asp-validation-for="PredmetNabave" class="text-danger"></span></div>
        <input asp-for="PredmetNabave" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="ProcjenjenaVrijednost"></label>
        <div><span asp-validation-for="ProcjenjenaVrijednost" class="text-danger"></span></div>
        <input asp-for="ProcjenjenaVrijednost" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="VrijediOd"></label>
        <div><span asp-validation-for="VrijediOd" class="text-danger"></span></div>
        <input asp-for="VrijediOd" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="VrijediDo"></label>
        <div><span asp-validation-for="VrijediDo" class="text-danger"></span></div>
        <input asp-for="VrijediDo" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkIdPlanNabave"></label>
        <div><span asp-validation-for="FkIdPlanNabave" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkIdPlanNabave" asp-items="ViewBag.Planovi">
            <option selected value="" disabled>Odaberite plan nabave</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkCpv"></label>
        <div><span asp-validation-for="FkCpv" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkCpv" asp-items="ViewBag.CPVovi">
            <option selected value="" disabled>Odaberite CPV</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkIso"></label>
        <div><span asp-validation-for="FkIso" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkIso" asp-items="ViewBag.Valute">
            <option selected value="" disabled>Odaberite valutu</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkIdVrstaPostupka"></label>
        <div><span asp-validation-for="FkIdVrstaPostupka" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkIdVrstaPostupka" asp-items="ViewBag.VrstePostupka">
            <option selected value="" disabled>Odaberite vrstu postupka</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Dodaj</button>
        <a asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>